JSL checkNightBtl       ; check if battle is considered nighttime or daytime
BPL .isNotNight         ; branch if daytime
LDA $26                 ; load background ID
TXY                     ; save X in Y
TAX                     ; index background ID
LDA bgsPalTable,X       ; load palette ID based on background ID
BMI .noNight            ; if 0x80 or higher, there is no nighttime palette for this background
JSL setPalOffset        ; calculate palette offset depending on palette ID
BRA .loadPal            ; jump to load palette
.noNight
TYX                     ; restore previous palette ID index
.isNotNight
LDA $E70000,X           ; load palette ID
JSL setPalOffset        ; calculate palette offset depending on palette ID
STZ $22                 ; set day / night flag as daytime
.loadPal
LDA $E9DE               ; ?
BEQ +                   ; skip palette loading if $E9DE == 0
- LDA $E70150,X         ; dunno what this palette loading is, copied from vanilla
STA $7E60,Y             ; save in RAM
STA $7C60,Y             ; save in RAM
INX                     ; increment ROM counter
INY                     ; increment RAM counter
CPY #$0040              ; have we done 32 colors?
BNE -                   ; branch if not
BRA ++                  ; skip background palette loading
+ LDA $22               ; load day / night flag
CMP #$FF                ; check if nighttime
JSL loadBgPalB          ; load palette for hookpoint $C11C36
++