setPalOffset:        ; calculate palette offset depending on palette ID
AND #$7F             ; don't take vanilla flag 0x80 in account
REP #$20             ; 16-bit Accumulator
ASL A
ASL A
ASL A
ASL A
ASL A                ; multiply by 32
STA $22              ; save in temporary RAM
ASL A                ; multiply by 2 (64)
CLC                  ; clear carry for addition
ADC $22              ; add multiplication by 2 to the on by 32 (result is 96 times A)
TAX                  ; index result 
TDC                  ; clear Accumulator
SEP #$20             ; 8-bit Accumulator
TAY                  ; Clear Y
LDA #$FF             ; flag will be 0xFF for day and 0x00 for night           
STA $22              ; save in temporary RAM
RTL

checkNightBtl:       ; check if battle is considered nighttime or daytime
LDA !timerFlags      ; load timer flags
AND #$0F             ; isolate current transition
SEC                  ; set carry for substraction
SBC #!nightBattle    ; substract transition considered as night
RTL

loadBgPalA:          ; load palette for hookpoint $C11DF2
LDA $22              ; load day / night flag
CMP #$FF             ; check if nighttime
JSR loadBgPalOff     ; load correct palette offset depending if daytime or nighttime
- LDA [$42],Y        ; load palette byte
STA $7EA0,X          ; save in RAM
INX                  ; increment RAM counter
INY                  ; increment ROM counter
CPY #$0060           ; have we done 48 colors?
BNE -                ; branch if not
RTL

loadBgPalB:          ; load palette for hookpoint $C11C36
JSR loadBgPalOff     ; load correct palette offset depending if daytime or nighttime
- LDA [$42],Y        ; load palette byte
STA $7EA0,X          ; save in RAM
STA $7CA0,X          ; save in RAM
INX                  ; increment RAM counter
INY                  ; increment ROM counter
CPY #$0060           ; have we done 48 colors?
BNE -                ; branch if not
RTL

loadBgPalOff:        ; load correct palette offset depending if daytime or nighttime
BEQ .isNight         ; branch if night time
LDA #$E7             ; daytime palettes bank
STA $44              ; save in temporary RAM
REP #$20             ; 16-bit Accumulator
LDA #$0150           ; daytime palettes address ($E70150)
STA $42              ; save in temporary RAM
BRA +                ; branch to X and Y swapping
.isNight
LDA #$C0             ; nighttime palettes bank
STA $44              ; save in temporary RAM
REP #$20
LDA #bgPals          ; nighttime palettes address ($C0XXXX)
STA $42              ; save in temporary RAM
+ TYA
TXY
TAX                  ; result is X and Y swapping for future loop
SEP #$20             ; 8-bit Accumulator
RTS